%define name	kopete 
%define version	0.6.1a
%define release	1mdk

%define major	1
%define libname	lib%{name}%{major}

Summary: 	Multi-protocol plugin-based instant messenger
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Networking/Instant messaging 
Source0: 	%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
URL: 		http://kopete.kde.org/
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	kdelibs >= 3.0.3
Requires: 	openssl >= 0.9.6
Requires: 	%libname = %version-%release
BuildRequires:	kdelibs-devel >= 3.0.3
BuildRequires:	openssl-devel 

%description
Kopete is a flexible and extendable multiple protocol instant messaging
system designed as a plugin-based system.

All protocols are plugins and allow modular installment, configuration,
and usage without the main application knowing anything about the plugin 
being loaded.

The goal of Kopete is to provide users with a standard and easy to use 
interface between all of their instant messaging systems, but at the same
time also providing developers with the ease of writing plugins to support
a new protocol.

The core Kopete development team provides a handful of plugins that most
users can use, in addition to templates for new developers to base a 
plugin off of.

%package -n %libname
Summary: Multi-protocol plugin-based instant messenger
Group: Networking/Instant messaging
Obsoletes: %libname-devel
Provides: %libname-devel

%description -n %libname
Kopete is a flexible and extendable multiple protocol instant messaging
system designed as a plugin-based system.

All protocols are plugins and allow modular installment, configuration,
and usage without the main application knowing anything about the plugin
being loaded.

The goal of Kopete is to provide users with a standard and easy to use
interface between all of their instant messaging systems, but at the same
time also providing developers with the ease of writing plugins to support
a new protocol.

The core Kopete development team provides a handful of plugins that most
users can use, in addition to templates for new developers to base a
plugin off of.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n%{name}-%{version}

%build
./configure --prefix=%{_prefix} \
		--disable-rpath \

%make

%install
rm -rf %{buildroot}
make prefix=%{buildroot}%{_prefix} install

install -m 755 -d %buildroot%{_miconsdir}
install -m 755 -d %buildroot%{_iconsdir}
install -m 755 -d %buildroot%{_liconsdir}
tar xOjf %SOURCE1 16x16.png > %buildroot%{_miconsdir}/%{name}.png
tar xOjf %SOURCE1 32x32.png > %buildroot%{_iconsdir}/%{name}.png
tar xOjf %SOURCE1 48x48.png > %buildroot%{_liconsdir}/%{name}.png

install -m 755 -d %buildroot%{_menudir}

cat << EOF > %buildroot%{_menudir}/%{name}
?package(%{name}):command="/usr/bin/kopete"\
needs="x11"\
icon="kopete.png"\
section="Networking/Instant messaging"\ 
title="Kopete"\
longtitle="Multi-protocol plugin-based instant messenger"
EOF

rm -f %buildroot/%_datadir/apps/kopete/pics/Makefile.am


%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL kopete/NEWS README kopete/README.emoticons kopete/ROADMAP kopete/contrib/licq2kopete
%_bindir/*
%_menudir/*
%_datadir/applnk/Internet/kopete.desktop

%dir %_datadir/apps/kopete/
%_datadir/apps/kopete/*.plugin
%_datadir/apps/kopete/*.png
%_datadir/apps/kopete/*.html
%_datadir/apps/kopete/*rc
%_datadir/apps/kopete/*.xsl

%dir %_datadir/apps/kopete/pics/
%_datadir/apps/kopete/pics/*.png
%_datadir/apps/kopete/pics/*.mng

%dir %_datadir/apps/kopete/pics/emoticons/

# rpm sucks, don't accept space in path (?)
%_datadir/apps/kopete/pics/emoticons/*

%_datadir/sounds/*

%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%{_iconsdir}/hicolor/16x16/apps/*.png
%{_iconsdir}/hicolor/22x22/apps/*.png
%{_iconsdir}/hicolor/32x32/apps/*.png
%{_iconsdir}/hicolor/48x48/apps/*.png
%{_iconsdir}/hicolor/64x64/apps/*.png
%{_iconsdir}/hicolor/128x128/apps/*.png

%files -n %libname
%defattr(-, root, root)
%_libdir/*.so.*
%_libdir/kde3/*.so
%_libdir/kde3/*.so.*
%_libdir/libkopete.so
%_libdir/*.la
%_libdir/kde3/*.la

%dir %_includedir/psi/
%_includedir/psi/*.h


%changelog
* Fri Feb 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1a-1mdk
- 0.6.1a

* Wed Feb 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-2mdk
- Update code from CVS fix a lot of crash/bug etc...

* Sun Feb 10 2003 Laurent Culioli <laurent@pschit.net> 0.6-1mdk
- 0.6
- update menu icons

* Fri Dec 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-3mdk 
- Add patch1 : fix compile

* Fri Oct 18 2002 Laurent Culioli <laurent@pschit.net> 0.5-2mdk
- add xpm 

* Thu Oct 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-1mdk 
- 0.5

* Mon Oct 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-3mdk
- from Ben Reser <ben@reser.org> :
	- Remove the devel package.  The files are needed for proper functioning
  	not just development.
	- Main package requires lib package now...

* Wed Oct 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-2mdk
- fix requires pb (seems to)

* Wed Sep 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- fix files section
- split packages
- from Flix Martos <pakito@asinkecualo.org> :
	- First Mandrake Unofficial Package

* Sun Jun 16 2002 Simon Perreault <nomis80@linuxquebec.com>
- Update to 0.4.1.

* Sun Jun 2 2002 Simon Perreault <nomis80@linuxquebec.com>
- Update to 0.4.

* Sat Apr 6 2002 Simon Perreault <nomis80@linuxquebec.com>
- Initial RPM release.
